textures/seamless_fog/fog_red_1000
{
	qer_editorimage textures/seamless_fx/fog_red.tga
        surfaceparm nonsolid
        surfaceparm nomarks
        surfaceparm trans
        qer_trans 0.75

	q3map_surfacelight 1000
        q3map_lightimage map textures/seamless_fx/fog_red.tga
{
map textures/seamless_fx/fog_red.tga
tcmod scroll .05 0
blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
}
}

textures/seamless_fx/cloudglass
{
	qer_editorimage textures/seamless_fx/cloudglass.tga
        surfaceparm trans	
        surfaceparm nolightmap 
	cull none
	qer_trans 	0.5
     
        {
		map textures/seamless_fx/cloudglass.tga
                tcgen environment
                rgbgen wave sin .25 0 0 0
		blendFunc GL_ONE GL_ONE
	}
          
}

textures/seamless_fog/fog_red_2500
{
	qer_editorimage textures/seamless_fx/fog_red.tga
        surfaceparm nonsolid
        surfaceparm nomarks
        surfaceparm trans
        qer_trans 0.75

	q3map_surfacelight 2500
        q3map_lightimage map textures/seamless_fx/fog_red.tga
{
map textures/seamless_fx/fog_red.tga
tcmod scroll .05 0
blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
}
}

textures/seamless_fog/fog_red_2500_speedy
{
	qer_editorimage textures/seamless_fx/fog_red.tga
        surfaceparm nonsolid
        surfaceparm nomarks
        surfaceparm trans
        qer_trans 0.75

	q3map_surfacelight 2500
        q3map_lightimage map textures/seamless_fx/fog_red.tga
{
map textures/seamless_fx/fog_red.tga
tcmod scroll 2 0
blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
}
}

textures/seamless_fog/fog_o_1000
{
	qer_editorimage textures/seamless_fx/fog_o.tga
        surfaceparm nonsolid
        surfaceparm nomarks
        surfaceparm trans
        qer_trans 0.75

	q3map_surfacelight 1000
        q3map_lightimage map textures/seamless_fx/fog_o.tga
{
map textures/seamless_fx/fog_o.tga
tcmod scroll .05 0
blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
}
}

textures/fog/fog
{
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm 	nodrop
	surfaceparm	fog
	fogparms ( .7 .1 .1 ) 64

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_one
			tcmod scale 1 .01
			tcMod scroll .25 .75		
		}	
}

textures/seamless_fx/glass_test
{
    qer_editorimage textures/seamless_fx/window.tga
    surfaceparm trans
	surfaceparm nolightmap 
	cull none
    qer_trans 1
{
	map textures/seamless_fx/window.tga
	blendFunc blend
	tcGen environment
}
}

textures/seamless_fog/fog_d_1000
{
	qer_editorimage textures/seamless_fx/fog_d.tga
        surfaceparm nonsolid
        surfaceparm nomarks
        surfaceparm trans
        qer_trans 0.75

	q3map_surfacelight 1000
        q3map_lightimage map textures/seamless_fx/fog_d.tga
{
map textures/seamless_fx/fog_d.tga
tcmod scroll .05 0
blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
}
}

textures/seamless_fx/teleporter_4
{
	qer_editorimage textures/seamless_fx/InkFull0010_inv.tga
        surfaceparm nonsolid
        surfaceparm nomarks
        surfaceparm trans
        qer_trans 0.75

	q3map_surfacelight 75
        q3map_lightimage map textures/seamless_fx/InkFull0010_inv.tga
        {
		map textures/seamless_fx/InkFull0010_inv.tga
                tcmod scroll .055 0
		tcMod turb 0 .1 0 .025
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.400
	}
        {
		map textures/seamless_fx/InkFull0010_inv.tga
                tcmod scroll -.04 0
		tcMod turb 0 -.20 0 .03
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.400
	}
        {
		map textures/seamless_fx/InkFull0010_inv.tga
                tcmod scroll 0 .05
		tcMod turb 0 .10 0 .02
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.300
	}
        {
		map textures/seamless_fx/InkFull0010_inv.tga
                tcmod scroll 0 .-035
		tcMod turb 0 -.20 0 .035
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.200
	}
}

textures/mrcleantex_4/mrc4_grate_01
{
	surfaceparm	metalsteps	
        surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/mrcleantex_4/mrc4_grate_01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/seamless_fx/sunlight_dustnew
{
	qer_editorimage textures/seamless_fx/dust.tga
        surfaceparm nonsolid
        surfaceparm nomarks
        surfaceparm trans
        qer_trans 0.50
        

		{
		map textures/seamless_fx/dust.tga
                blendFunc blend
 		}	
}

textures/seamless_fx/sunlight_new
{
	qer_editorimage textures/seamless_fx/white_20.tga
        surfaceparm nonsolid
        surfaceparm nomarks
        surfaceparm trans
        qer_trans 0.50
        

		{
		map textures/seamless_fx/white_20.tga
                tcmod scale 0.5 0.5
                tcmod scroll 0 -0.01
                blendFunc blend
 		}	
}

textures/seamless_fx/sunlight_halfnew
{
	qer_editorimage textures/seamless_fx/white_half2.tga
        surfaceparm nonsolid
        surfaceparm nomarks
        surfaceparm trans
        qer_trans 0.50
        

		{
		map textures/seamless_fx/white_half2.tga
                blendFunc blend
 		}	
}

textures/ekshashit/flame1
{
    qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	q3map_surfacelight 200
	deformVertexes autosprite2
	nopicmip
	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc add
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc add
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/sfx/flameball.tga
		blendfunc add
		rgbGen wave sin .6 .2 0 .6	
	}
}

textures/seamless_fog/fog_e_1000
{
	qer_editorimage textures/seamless_fx/fog_e.tga
        surfaceparm nonsolid
        surfaceparm nomarks
        surfaceparm trans
        qer_trans 0.75

	q3map_surfacelight 1000
        q3map_lightimage map textures/seamless_fx/fog_e.tga
{
map textures/seamless_fx/fog_e.tga
tcmod scroll .05 0
blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
}
}

textures/seamless_fx/conveyor
{
	qer_editorimage textures/seamless_concrete/Leather0027.jpg
	
	{
                map textures/seamless_concrete/Leather0027.jpg
                tcmod scroll 0 0.4
        }
	{
                map textures/seamless_concrete/Leather0027_d.jpg
                tcmod scroll 0 0.4
		blendFunc blend
		rgbGen identity
                alphaGen const 0.30
        }
}

textures/seamless_fx/conveyor_d
{
	qer_editorimage textures/seamless_concrete/Leather0027_d.jpg
	
	{
                map textures/seamless_concrete/Leather0027_d.jpg
                tcmod scroll 0 0.4
        }
}
